# ``twisted`.`web`.`_template_util`.`_NSContext``

class documentation

`class _NSContext: (source)`

View In Hierarchy

A mapping from XML namespaces onto their prefixes in the document.

Method | `__getitem__` | Proxy through to getting the prefix for the namespace.
Method | `__init__` | Pull out the parent's namespaces, if there's no parent then default to XML.
Method | `__setitem__` | Proxy through to setting the prefix for the namespace.
Method | `get` | Get a prefix for a namespace.
Instance Variable | `nss` | Undocumented
Instance Variable | `parent` | Undocumented

def __getitem__(self, k): (source)
Proxy through to getting the prefix for the namespace.

Parameters
k:`Optional[str]` | Undocumented
Returns
`Optional[str]` | Undocumented

def __init__(self, parent=None): (source)
Pull out the parent's namespaces, if there's no parent then default to XML.

Parameters
parent:`Optional[_NSContext]` | Undocumented

def __setitem__(self, k, v): (source)
Proxy through to setting the prefix for the namespace.

Parameters
k:`Optional[str]` | Undocumented
v:`Optional[str]` | Undocumented

def get(self, k, d=None): (source)
Get a prefix for a namespace.

Parameters
k:`Optional[str]` | Undocumented
d:`Optional[str]` | The default prefix value.
Returns
`Optional[str]` | Undocumented

nss: `dict[str, str]` = (source)

Undocumented

parent = (source)

Undocumented